# 基于大语言模型的命令行助手

## 简介
基于大语言模型的命令行助手，可以通过对话的方式生成Linux命令，并执行。节省指令查询时间。
## 安装
pip3 install requets <br/>
可选本地部署ollama服务,使用qwen 7b模型 <br/>
ollama serve
ollama pull qwen:7b
## 使用方法
需要注册百度千帆账号，并获取API KEY及SECRET KEY。<br/>
https://console.bce.baidu.com/qianfan <br/>
目前仅适用ERNIE-3.5-8K模型，后续会开放更多模型。<br/>
或者使用OpenAI接口兼容的模型，如赞同大模型或Kimi API。<br/>
需要相应的Base URL、API_KEY和模型名称 <br/>
已测试支持赞同科技的agree-model、KIMI的moonshot-v1-8k及ChatGPT的GPT-3.5-turbo模型<br>
把当前仓库克隆到本地，并进入目录。
```bash
git clone https://github.com/xiongweixp/ERNIE_Cli.git
cd ERNIE_Cli
cp ernie_cli.py ~/.local/bin
```
在.bashrc结尾添加
```bash
eval "$(erniecli.py alias)"
```
重新登录后，可以使用erniecli命令。
```bash
?? 显示当前目录内容
```
配置使用百度千帆还是OpenAI接口兼容模型
```bash
erniceli config
```
BACKEND：可选
    1.ernie：百度千帆
    2.openai：OpenAI兼容接口模型

LOCAL：是否启用本地ollama服务



